diff options
Diffstat (limited to 'test/integration/run-tests')
-rwxr-xr-x | test/integration/run-tests | 23 |
1 files changed, 21 insertions, 2 deletions
diff --git a/test/integration/run-tests b/test/integration/run-tests index c7ea0a61a..edac07dbf 100755 --- a/test/integration/run-tests +++ b/test/integration/run-tests @@ -1,8 +1,27 @@ #!/bin/sh set -e +FAIL=0 DIR=$(readlink -f $(dirname $0)) +if [ "$1" = "-q" ]; then + export MSGLEVEL=2 +elif [ "$1" = "-v" ]; then + export MSGLEVEL=4 +fi for testcase in $(run-parts --list $DIR | grep '/test-'); do - echo "\033[1;32mRun Testcase \033[1;35m$(basename ${testcase})\033[0m" - ${testcase} + if [ "$1" = "-q" ]; then + echo -n "\033[1;32mRun Testcase \033[1;35m$(basename ${testcase})\033[0m" + else + echo "\033[1;32mRun Testcase \033[1;35m$(basename ${testcase})\033[0m" + fi + if ! ${testcase}; then + FAIL=$((FAIL+1)) + echo "$(basename $testcase) ... FAIL" + fi + if [ "$1" = "-q" ]; then + echo + fi done + +echo "failures: $FAIL" +exit $FAIL |